﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Steema.TeeChart.WPF;
using Steema.TeeChart.WPF.Styles;
using System.IO;
using System.Windows.Markup;
using Steema.TeeChart.WPF.Tools;
using System.Windows.Threading;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            MyTChart.Aspect.View3D = false;
            Bar bar = new Bar();
            bar.Marks.Visible = false;
            bar.Add(5);
            bar.Add(7);
            MyTChart.Series.Add(bar);

            SubChartTool subChartTool = new SubChartTool();
            MyTChart.Tools.Add(subChartTool);
            TChart subChart = subChartTool.Charts.AddChart(string.Empty);
            subChart.Aspect.View3D = false;
            subChart.Panel.Color = Colors.Transparent;
            subChart.Panel.Gradient.Visible = false;            
            subChart.Walls.Visible = false;
            subChart.Axes.Visible = false;
            Pie subChartPie = new Pie();
            subChartPie.Marks.Visible = false;
            subChartPie.Add(10);
            subChartPie.Add(6);
            subChartPie.Brush.Color = Colors.Red;
            subChart.Series.Add(subChartPie);
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            this.Width += 100;
            //Microsoft.Win32.SaveFileDialog saveDialog = new Microsoft.Win32.SaveFileDialog();
            //if (saveDialog.ShowDialog() == true)
            //{
            //    MyTChart.Export.Image.XAML.Save(saveDialog.FileName);
            //}
        }
    }
}
